Can't get Curviloft to run - ERROR

I’ve installed latest versions of Fredo tools, LibFredo6 and curviloft several times and still can’t get it to work. I dont get the curviloft’s options tab either.
It could be a network access issue. I run out of things to try.
Any suggestions from the experts out there will be much appreciated.

I get this error message on the ruby console:

Error: #<NameError: uninitialized constant Traductor::Plugin::G6B>
c:/users/leo.arias/appdata/roaming/sketchup/sketchup 2021/sketchup/plugins/fredo6_!libfredo6/lib6plugin.rbe:1917:in tem_context' c:/users/leo.arias/appdata/roaming/sketchup/sketchup 2021/sketchup/plugins/fredo6_!libfredo6/lib6plugin.rbe:1710:in tem_launcher’
c:/users/leo.arias/appdata/roaming/sketchup/sketchup 2021/sketchup/plugins/fredo6_!libfredo6/lib6plugin.rbe:119:in launch_action' c:/users/leo.arias/appdata/roaming/sketchup/sketchup 2021/sketchup/plugins/fredo6_!libfredo6/lib6plugin.rbe:244:in launch_action’
c:/users/leo.arias/appdata/roaming/sketchup/sketchup 2021/sketchup/plugins/fredo6_curviloft/bootstrap_curviloft.rbe:76:in launch_action' c:/users/leo.arias/appdata/roaming/sketchup/sketchup 2021/sketchup/plugins/fredo6_curviloft/bootstrap_curviloft.rbe:91:in block in startup’
c:/users/leo.arias/appdata/roaming/sketchup/sketchup 2021/sketchup/plugins/fredo6_!libfredo6/lib6plugin.rbe:1461:in command_invoke' c:/users/leo.arias/appdata/roaming/sketchup/sketchup 2021/sketchup/plugins/fredo6_!libfredo6/lib6plugin.rbe:1441:in block (2 levels) in build_config_commands’
c:/users/leo.arias/appdata/roaming/sketchup/sketchup 2021/sketchup/plugins/fredo6_!libfredo6/lib6traductor.rbe:1378:in `block in add_command’

Where did you get these “latest versions”? Do you also have the current Sketchucation ExtensionStore tool installed and the license for Curviloft? See: [Plugin][$] Curviloft 1.9a - 13 Feb 22 (Loft & Skinning) • sketchUcation • 1

Your profile says you are using SketchUp 2022 but the error message indicates SketchUp 2021. Please correct your profile.

HI Dave, thanks for reaching out.

Yes, it’s Sketchup 2021, my bad.

Yesterday I downloaded the extensions from the skechucation website. Now I uninstalled them all and downloaded curviloft and Libfredo6 through the Sketchucation extension store, but I keep on getting the message asking for “LibFredo6 to be installed to run curviloft” but it already is listed in the extension manager.

Any ideas why the conflict is happening?

Am I doing anything wrong?

Thanks!
image

image

Make sure you restart sketchup, many plugins do not load correctly until sketchup has been restarted.

1 Like

Old version of LibFredo6?

Incorrect installation of SketchUp? When you installed it did you right click on the downloaded installer and choose Run as administrator?

Yes, I tried that several times to no avail

Sketchup works fine. I didn’t install it myself, the IT people at work did.

Also the LibFredo6 was downloaded from the Scketchucation extension store, so it must be the latest one.

I assume it has to be something to do with the firewall, or some security setting maybe?

Curviloft is listed as installed but now can’t see it on the toolbars dialogue box.

I’m lost, I don’t know what else to do

image

image

This could be your issue.
IT departments try to lock everything down, often causing permissions issues that can stop things from working, not to mention a variety of weird and wonderful anomalies.
Sketchup needs to be installed correctly for all the file and folder permissions to work correctly.
For the average user this means selecting the downloaded .exe installation file, right clicking and choosing Run as Administrator.
If your IT department have somehow installed things differently that may screw around with the installation of extensions.

Many people don’t install this way and never have problems, but not having problems doesn’t help those who.

1 Like